E-MailRelay

Public Member Functions | List of all members
GNet::ExceptionSinkImp::RethrowExceptionHandler Struct Reference

An GNet::ExceptionHandler that rethrows. More...

Inheritance diagram for GNet::ExceptionSinkImp::RethrowExceptionHandler:

## Public Member Functions
void | onException (GNet::ExceptionSource *, std::exception &, bool) override
| Called by the event loop when an exception is thrown out of an event loop callback. More...
Public Member Functions inherited from GNet::ExceptionHandler
virtual | ~ExceptionHandler ()
| Destructor. More...
virtual void | onException (ExceptionSource *source, std::exception &e, bool done)=0
| Called by the event loop when an exception is thrown out of an event loop callback. More...
| ExceptionHandler (const ExceptionHandler &)=delete
| ExceptionHandler (ExceptionHandler &&)=delete
void | operator= (const ExceptionHandler &)=delete
void | operator= (ExceptionHandler &&)=delete

## Detailed Description

An GNet::ExceptionHandler that rethrows.

Definition at line 31 of file gexceptionsink.cpp.

## Member Function Documentation

## ◆ onException()

void GNet::ExceptionSinkImp::RethrowExceptionHandler::onException | ( | GNet::ExceptionSource * | source,
|  | std::exception & | e,
|  | bool | done
| ) |  |
| inline override virtual

Called by the event loop when an exception is thrown out of an event loop callback.

The exception is still active so it can be rethrown with "throw".

The source parameter can be used to point to the object that received the original event loop callback. This requires the appropriate exception source pointer is defined when the event source is first registered with the event loop, otherwise it defaults to a null pointer. (The ExceptionSinkUnbound class is used where necessary to encourage the definition of a valid exception source pointer.)

The 'done' parameter indicates whether the exception was of type GNet::Done.

Implements GNet::ExceptionHandler.

Definition at line 33 of file gexceptionsink.cpp.

The documentation for this struct was generated from the following file:

- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/gnet/gexceptionsink.cpp